[中文](./README.md) | [English](./README.en.md)

# flutter自定义组件
[![pub package](https://img.shields.io/pub/v/fc_components.svg)](https://pub.dev/packages/fc_components)

我的常用自定义组件集合，同时也欢迎大家添加自己的。

## 安装

Add the following to your `pubspec.yaml` file:

    dependencies:
      fc_components: ^0.5.2

## 使用

引入你想要使用的组件，比如 FcButton

```dart
import 'package:fc_components/fc_button.dart';

......

  @override
  Widget build(BuildContext context) {
    return FcButton(...);
  }

......
```

## 组件列表

| 名称 | 说明 | 加入版本 |
|--------|-------------|-------------|
| FcCell | 单元格 | 0.1.0 |
| FcButton | 按钮 | 0.2.0 |
| FcEmpty | 空状态 | 0.3.0 |
| FcSortButton | 排序按钮 | 0.4.0 |
| FcNavigationBar | 底部导航 | 0.5.0 |
