[中文](./README.md) | [English](./README.en.md)

# Flutter Costom Components
[![pub package](https://img.shields.io/pub/v/fc_components.svg)](https://pub.dev/packages/fc_components)

My common custom component collection. And also welcome to add your common components.

## Installing

Add the following to your `pubspec.yaml` file:

    dependencies:
      fc_components: ^0.5.2

## Usage

Import the component that you want to use, such as fcbutton

```dart
import 'package:fc_components/fc_button.dart';

......

  @override
  Widget build(BuildContext context) {
    return FcButton(...);
  }

......
```

## 组件列表

| name | explain | join version |
|--------|-------------|-------------|
| FcButton | Button | 0.2.0 |
| FcCell | cell | 0.1.0 |
| FcEmpty | empty state | 0.3.0 |
| FcSortButton | sort button | 0.4.0 |
| FcNavigationBar | bottom navigation bar | 0.5.0 |
